--- old/usr/src/uts/common/inet/tunables.c	2012-07-09 14:38:21.517954085 +0000
+++ new/usr/src/uts/common/inet/tunables.c	2012-07-09 14:38:21.524400652 +0000
@@ -34,6 +34,8 @@
 #include <inet/tcp_stack.h>
 #include <inet/tcp_impl.h>
 #include <inet/udp_impl.h>
+#include <inet/dccp/dccp_stack.h>
+#include <inet/dccp/dccp_impl.h>
 #include <inet/sctp/sctp_stack.h>
 #include <inet/sctp/sctp_impl.h>
 #include <inet/tunables.h>
@@ -205,6 +207,7 @@
 	ip_stack_t	*ipst;
 	tcp_stack_t	*tcps;
 	sctp_stack_t	*sctps;
+	dccp_stack_t	*dccps;
 	udp_stack_t	*us;
 	icmp_stack_t	*is;
 	uint_t		size;
@@ -236,6 +239,10 @@
 		sctps = (sctp_stack_t *)cbarg;
 		ptbl = sctps->sctps_propinfo_tbl;
 		break;
+	case MOD_PROTO_DCCP:
+		dccps = (dccp_stack_t *)cbarg;
+		ptbl = dccps->dccps_propinfo_tbl;
+		break;
 	default:
 		return (EINVAL);
 	}
